| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
SEGY::Scanner Class Reference
Seis

Scans SEG-Y file(s). For reports, you'd want to set rich info. More...

`#include <segyscanner.h>`

Inheritance diagram for SEGY::Scanner:
[legend]

## Public Member Functions
| Scanner (const FileSpec &, Seis::GeomType, const IOPar &)
| Scanner (const IOPar &, Seis::GeomType)
| ~Scanner ()
void | collectInfoPerTrace (bool yn)
FileDataSet & | fileDataSet ()
const FileDataSet & | fileDataSet () const
Seis::GeomType | geomType () const
void | getReport (IOPar &, const IOPar *inppars=nullptr) const
int | nextStep () override
od_int64 | nrDone () const override
const IOPar & | pars () const
const PosInfo::Detector & | posInfoDetector () const
void | setForceRev0 (bool yn)
void | setMaxNrtraces (int n)
void | setRichInfo (bool yn)
od_int64 | totalNr () const override
const SEGYSeisTrcTranslator * | translator () const
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
const BufferStringSet & | warnings () const
StepInterval< float > | zRange () const
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
BufferStringSet | failedfnms_
| Failed to open or read.
uiStringSet | failerrmsgs_
| Err Msgs for failed.
BufferStringSet | fnms_
| Actually used, possibly with errs.
BufferStringSet | scanerrfnms_
| Error during scan (but in fnms_)
uiStringSet | scanerrmsgs_
| Err Msgs for 'Error during scan'.
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Protected Member Functions
void | addErrReport (IOPar &) const
void | addFailed (const uiString &)
void | closeTr ()
int | finish (bool)
void | init (const FileSpec &)
void | initFileData ()
uiString | Openff ()
int | openNext ()
int | readNext ()
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
DataClipSampler & | clipsmplr_
int | curfidx_
PosInfo::Detector & | dtctor_
FileDataSet & | fds_
bool | forcerev0_
Seis::GeomType | geom_
uiString | msg_
bool | notrcinfo_
od_int64 | nrdone_
int | nrtrcs_
const IOPar & | pars_
bool | richinfo_
od_int64 | totnr_
SEGYSeisTrcTranslator * | tr_
SeisTrc & | trc_
BufferStringSet | trwarns_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Scans SEG-Y file(s). For reports, you'd want to set rich info.

<>

## Constructor & Destructor Documentation

## ◆ Scanner() [1/2]

SEGY::Scanner::Scanner | ( | const IOPar & | ,
|  | Seis::GeomType | )

## ◆ Scanner() [2/2]

SEGY::Scanner::Scanner | ( | const FileSpec & | ,
|  | Seis::GeomType | ,
|  | const IOPar & | )

## ◆ ~Scanner()

SEGY::Scanner::~Scanner | ( |  | ) |

## Member Function Documentation

## ◆ addErrReport()

void SEGY::Scanner::addErrReport | ( | IOPar & |  | ) | const
| protected

## ◆ addFailed()

void SEGY::Scanner::addFailed | ( | const uiString & |  | ) |
| protected

## ◆ closeTr()

void SEGY::Scanner::closeTr | ( |  | ) |
| protected

## ◆ collectInfoPerTrace()

void SEGY::Scanner::collectInfoPerTrace | ( | bool | yn | ) |
| inline

## ◆ fileDataSet() [1/2]

FileDataSet & SEGY::Scanner::fileDataSet | ( |  | ) |
| inline

## ◆ fileDataSet() [2/2]

const FileDataSet & SEGY::Scanner::fileDataSet | ( |  | ) | const
| inline

## ◆ finish()

int SEGY::Scanner::finish | ( | bool |  | ) |
| protected

## ◆ geomType()

Seis::GeomType SEGY::Scanner::geomType | ( |  | ) | const
| inline

## ◆ getReport()

void SEGY::Scanner::getReport | ( | IOPar & | ,
|  | const IOPar * | inppars = nullptr ) const

## ◆ init()

void SEGY::Scanner::init | ( | const FileSpec & |  | ) |
| protected

## ◆ initFileData()

void SEGY::Scanner::initFileData | ( |  | ) |
| protected

## ◆ nextStep()

int SEGY::Scanner::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 SEGY::Scanner::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ Openff()

uiString SEGY::Scanner::Openff | ( |  | ) |
| inline protected

## ◆ openNext()

int SEGY::Scanner::openNext | ( |  | ) |
| protected

## ◆ pars()

const IOPar & SEGY::Scanner::pars | ( |  | ) | const
| inline

## ◆ posInfoDetector()

const PosInfo::Detector & SEGY::Scanner::posInfoDetector | ( |  | ) | const
| inline

## ◆ readNext()

int SEGY::Scanner::readNext | ( |  | ) |
| protected

## ◆ setForceRev0()

void SEGY::Scanner::setForceRev0 | ( | bool | yn | ) |
| inline

## ◆ setMaxNrtraces()

void SEGY::Scanner::setMaxNrtraces | ( | int | n | ) |
| inline

## ◆ setRichInfo()

void SEGY::Scanner::setRichInfo | ( | bool | yn | ) |
| inline

## ◆ totalNr()

od_int64 SEGY::Scanner::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ translator()

const SEGYSeisTrcTranslator * SEGY::Scanner::translator | ( |  | ) | const
| inline

## ◆ uiMessage()

uiString SEGY::Scanner::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString SEGY::Scanner::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ warnings()

const BufferStringSet & SEGY::Scanner::warnings | ( |  | ) | const
| inline

## ◆ zRange()

StepInterval< float > SEGY::Scanner::zRange | ( |  | ) | const

## Member Data Documentation

## ◆ clipsmplr_

DataClipSampler& SEGY::Scanner::clipsmplr_
| protected

## ◆ curfidx_

int SEGY::Scanner::curfidx_
| protected

## ◆ dtctor_

PosInfo::Detector& SEGY::Scanner::dtctor_
| protected

## ◆ failedfnms_

BufferStringSet SEGY::Scanner::failedfnms_

Failed to open or read.

## ◆ failerrmsgs_

uiStringSet SEGY::Scanner::failerrmsgs_

Err Msgs for failed.

## ◆ fds_

FileDataSet& SEGY::Scanner::fds_
| protected

## ◆ fnms_

BufferStringSet SEGY::Scanner::fnms_

Actually used, possibly with errs.

## ◆ forcerev0_

bool SEGY::Scanner::forcerev0_
| protected

## ◆ geom_

Seis::GeomType SEGY::Scanner::geom_
| protected

## ◆ msg_

uiString SEGY::Scanner::msg_
| protected

## ◆ notrcinfo_

bool SEGY::Scanner::notrcinfo_
| protected

## ◆ nrdone_

od_int64 SEGY::Scanner::nrdone_
| protected

## ◆ nrtrcs_

int SEGY::Scanner::nrtrcs_
| protected

## ◆ pars_

const IOPar& SEGY::Scanner::pars_
| protected

## ◆ richinfo_

bool SEGY::Scanner::richinfo_
| protected

## ◆ scanerrfnms_

BufferStringSet SEGY::Scanner::scanerrfnms_

Error during scan (but in fnms_)

## ◆ scanerrmsgs_

uiStringSet SEGY::Scanner::scanerrmsgs_

Err Msgs for 'Error during scan'.

## ◆ totnr_

od_int64 SEGY::Scanner::totnr_
| mutable protected

## ◆ tr_

SEGYSeisTrcTranslator* SEGY::Scanner::tr_
| protected

## ◆ trc_

SeisTrc& SEGY::Scanner::trc_
| protected

## ◆ trwarns_

BufferStringSet SEGY::Scanner::trwarns_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025